package cn.noah.svg.template;

import android.util.SparseArray;

import cn.noah.svg.ISVGLoader;
import cn.noah.svg.NGSVGCode;

public class SVGLoaderTep implements ISVGLoader {
    private final SparseArray<NGSVGCode> svgCodeMap = new SparseArray<NGSVGCode>();
    @Override
    public NGSVGCode loadCode(int key) {
        /*load*/
        return null;
    }

    @Override
    public String getBitmapStr(int key) {
        String bitmapStr = "";
        /*getBitmapStr*/
        return bitmapStr;
    }

    @Override
    public NGSVGCode get(int key) {
        if (svgCodeMap.indexOfKey(key) >= 0) {
            return svgCodeMap.get(key);
        }
        NGSVGCode code = loadCode(key);
        if (code != null && (code.getType() & NGSVGCode.TYPE_LAYOUT) != NGSVGCode.TYPE_LAYOUT) {
            svgCodeMap.put(key, code);
        }
        return code;
    }
}
